Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1711569 - Enable NodeLease tests
Summary: Enable NodeLease tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.2.0
Assignee: Ryan Phillips
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-18 17:18 UTC by Maciej Szulik
Modified: 2019-10-16 06:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:29:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 0 None None None 2019-10-16 06:29:17 UTC

Description Maciej Szulik 2019-05-18 17:18:10 UTC
In https://github.com/openshift/origin/pull/22856/commits/020afc2047a4aa44ae4477458dd9b4d40eb3f59a we disabled NodeLease related tests, since it'll take a few days to get kubelet 1.14 in RHCOS. Once that happens we should revert that commit.

Comment 1 Maciej Szulik 2019-05-20 09:14:49 UTC
The previous PR was replaced with https://github.com/openshift/origin/pull/22857/commits/11bec7f7b8d00285904687edfc091ecb5cedde37

Comment 2 Ryan Phillips 2019-06-18 18:30:39 UTC
PR to re-enable the tests: https://github.com/openshift/origin/pull/23198

Comment 3 Ryan Phillips 2019-06-19 21:58:00 UTC
PR merged.

Comment 6 Sunil Choudhary 2019-06-25 10:42:06 UTC
No longer see NodeLease test failures in recent tests.

https://prow.svc.ci.openshift.org/job-history/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.2

Comment 8 errata-xmlrpc 2019-10-16 06:29:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.